#include "main.h"
#define LED_K1       PIN_A2      // anody segmentovek
#define LED_K2       PIN_A1
#include "1wire.c"


void main()
{
//long duty;           // strida PWM
int znak1;           // hodnota jednotek
int znak2;           // hodnota desitek
int znak;            // zobrazovany znak
int i, n, temp;            // i pro for
int8 temp1, temp2;
signed int16 temp3;

   setup_adc_ports(NO_ANALOGS|VSS_VDD);
   setup_adc(ADC_OFF);
   setup_spi(FALSE);
   setup_timer_0(RTCC_INTERNAL|RTCC_DIV_1);
   setup_timer_1(T1_DISABLED);
   setup_timer_2(T2_DISABLED,0,1);
   setup_comparator(NC_NC_NC_NC);
   setup_vref(FALSE);

   while(TRUE)
   {
     temp3 = make16(temp2, temp1);
     temp=(int) (temp3/16);
     znak2=(int) (temp/10);               //vydelit deseti a zaokrouhlit dolu = desitky
     znak1=temp-znak2*10;                 //jednotky rozdil teploty a desitek
   for (n=0;n<=2;n++)
   {
     for (i=0;i<=2;i++) {	               //cyklus zobrazeni udaje
         if (i==1) {
         output_low(LED_K2);		         //dva bloky pro sepnuti aktivniho segmentu na 1
          if (n==0){
            onewire_reset();
            onewire_write(0xCC);
            onewire_write(0x44);
           }
         output_high(LED_K1);
         znak=znak1;

         }
         if (i==2) {
         output_low(LED_K1);
          if (n==0){
            onewire_reset();
            onewire_write(0xCC);
            onewire_write(0xBE);
            temp1 = onewire_read();
            temp2 = onewire_read();         
            }
         output_high(LED_K2);
         znak=znak2;
         }
            if (temp>=85)
             {
             output_high(LED_K1);
             output_high(LED_K2);
             output_b(0b00001101);
             }
            else 
             {
             if (znak==1) output_b(0b11110010);	  //blok if pro rozeznani zobrazeneho znaku
             if (znak==2) output_b(0b01001000);
             if (znak==3) output_b(0b01100000);
             if (znak==4) output_b(0b00110010);
             if (znak==5) output_b(0b00100100);
             if (znak==6) output_b(0b00000100);
             if (znak==7) output_b(0b11110000);
             if (znak==8) output_b(0b00000000);
             if (znak==9) output_b(0b00100000);
             if (znak==0) output_b(0b10000000);
             }
         Delay_ms(6);
     }
     
    }
//     duty=104+(2,31*temp);                     // .000416/(16*(1/4000000)) ....PWM presne podle helpu
//     set_pwm1_duty(duty);
   }
}
